class C {
    public static final int   MAX_VALUE = 0x7fffffff;

    public C() {
	int x = MAX_VALUE;
	//	switch(x){
	//	case MAX_VALUE:
	//	}
    }

    public static void main(String[] args) {
        new C();
	D.foo();
    }
}

class D {
    static int capacity = 0;
    static void foo() {
	capacity = C.MAX_VALUE;
    }
}